package com.egdigital.allzic.ui;

import android.content.Context;
import android.preference.PreferenceCategory;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import com.egdigital.allzic.R;

public class CustomPreferenceCategory extends PreferenceCategory {

	public CustomPreferenceCategory(Context context) {
		super(context);
	}

	public CustomPreferenceCategory(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	public CustomPreferenceCategory(Context context, AttributeSet attrs, int defStyle) {
		super(context, attrs, defStyle);
	}

	@Override
	protected View onCreateView(ViewGroup parent) {
		return super.onCreateView(parent);
	}

	@Override
	protected void onBindView(View view) {
		TextView titleView = (TextView) view.findViewById(android.R.id.title);
		titleView.setTextColor(getContext().getResources().getColor(R.color.clr_main));
		super.onBindView(view);
	}
}
